%define version 4.1.19.18
%define release %mkrel 1

Summary: PCLinuxOS Grub LXDE graphical boot theme
Name: lxde-bluerain-gfxboot-theme
Version: %version
Release: %release
License: GPL 
Group: System/Configuration/Boot and Init
URL: http://pclinuxos.com
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(pre): pclinuxos-gfxboot-theme
Requires(post): perl-Archive-Cpio
Obsoletes: lxde-gfxboot-theme-4.1.19.18

%description
This package provides the PCLinuxOS LXDE Blue Rain gfxboot theme, which was the 2009 default theme. This theme is used by the
PCLinuxOS installation to initialized the CDROM boot, and by installed system
to boot.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%_datadir/gfxboot/themes/lxde
install -m 0644 back.jpg $RPM_BUILD_ROOT/%_datadir/gfxboot/themes/lxde/back.jpg
install -m 0644 welcome.jpg $RPM_BUILD_ROOT/%_datadir/gfxboot/themes/lxde/welcome.jpg

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
rm -rf /usr/share/gfxboot/themes/current
ln -sf /usr/share/gfxboot/themes/lxde /usr/share/gfxboot/themes/current
%_sbindir/grub-gfxmenu --update-gfxmenu

%postun
rm -rf /usr/share/gfxboot/themes/current

#Restore PCLinuxOS Default Theme
ln -sf /usr/share/gfxboot/themes/PCLinuxOS /usr/share/gfxboot/themes/current
%_sbindir/grub-gfxmenu --update-gfxmenu

%files
%defattr(-,root,root,-)
%doc
%_datadir/gfxboot/themes/lxde/

%changelog
* Thu Nov 15 2012 Texstar <texstar at gmail.com> 4.1.19.18-1pclos2012
- rename theme

* Thu Jan 14 2010 Texstar <texstar at gmail.com> 4.1.19.18-1pclos2010
- build for 2010 release

